Bug 875875 - Fix up qt/qt4 subpackage licensing
Fix up qt/qt4 subpackage licensing
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pinentry (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2012-11-12 13:05 EST by Stanislav Ochotnicky
Modified: 2012-11-23 02:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 876230 (view as bug list)
Environment:
Last Closed: 2012-11-23 02:21:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch fixing licensing (1.94 KB, patch)
2012-11-12 13:05 EST, Stanislav Ochotnicky
no flags Details | Diff

  None (edit)
Description Stanislav Ochotnicky 2012-11-12 13:05:00 EST
Created attachment 643651 [details]
Patch fixing licensing

Description of problem:
I was going through the code and noticed some licensing incompatibilities. Notably qt and qt4 packages have modified parts of Qt which used to be GPLv2 only (with recent change to GPLv2 or GPLv3). That makes licensing tag inaccurate.

I am not 100% sure with my conclusions so I'd like legal to have a look at this. Blocking on their response

Patch for this is attached
Comment 1 Stanislav Ochotnicky 2012-11-12 13:05:52 EST
s/incompatibilities/inaccuracies/ :-)
Comment 2 Tom "spot" Callaway 2012-11-13 10:41:38 EST
This is correct, please apply this patch.
Comment 3 Rex Dieter 2012-11-13 14:30:54 EST
patch applied, build underway.
Comment 4 Fedora Update System 2012-11-13 14:41:27 EST
pinentry-0.8.1-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pinentry-0.8.1-8.fc18
Comment 5 Fedora Update System 2012-11-13 20:31:27 EST
Package pinentry-0.8.1-8.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pinentry-0.8.1-8.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18152/pinentry-0.8.1-8.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-11-23 02:21:07 EST
pinentry-0.8.1-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.